## section-video

section-video

## Functions

void | flickcurl_free_video ()

## Types and Values

| flickcurl_video

## Description

## Functions

### flickcurl_free_video ()

    void
    flickcurl_free_video (flickcurl_video *video);

Destructor for video object

#### Parameters

video | video object |

## Types and Values

### flickcurl_video

    typedef struct {
      int ready;
      int failed;
      int pending;
      int duration;
      int width;
      int height;
    } flickcurl_video;

A video.

#### Members

int `ready`; | video is ready flag |
int `failed`; | video failed |
int `pending`; | video pending |
int `duration`; | video duration in seconds |
int `width`; | video width |
int `height`; | video height |